// priority: 0
// packmode: easy


ServerEvents.recipes(event => {
	
event.remove({ output: 'industrialupgrade:smeltery/smeltery_casing' })
event.remove({ output: 'industrialupgrade:smeltery/smeltery_tank' })
event.remove({ output: 'industrialupgrade:basemachine3/oak_tank' }) 
event.remove({ output: 'industrialupgrade:smeltery/smeltery_fuel_tank' })
event.remove({ output: 'industrialupgrade:smeltery/smeltery_casting' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_497_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_601_element' })
event.remove({ output: 'industrialupgrade:primal_fluid_heater/primal_fluid_heater' })
event.remove({ output: 'industrialupgrade:primal_silicon_crystal_handler/primal_silicon_crystal_handler' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_76_element' })
event.remove({ output: 'industrialupgrade:compressor/compressor' })
event.remove({ output: 'industrialupgrade:primal_fluid_integrator/primal_fluid_integrator' })
event.remove({ output: 'industrialupgrade:primal_wire_insulator/primal_wire_insulator' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_200_element' })
event.remove({ output: 'industrialupgrade:solderingiron' })
event.remove({ output: 'industrialupgrade:gas_chamber/primal_gas_chamber' })
event.remove({ output: 'industrialupgrade:macerator/macerator' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_650_element' })
event.remove({ output: 'industrialupgrade:circuit/circuit_part1' })
event.remove({ output: 'industrialupgrade:circuit/circuit_part3' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_42_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_21_element' })
event.remove({ output: 'industrialupgrade:blockresource/steam_machine' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_32_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_123_element' })
event.remove({ output: 'industrialupgrade:wiring/steam' })
event.remove({ output: 'industrialupgrade:basemachine3/steam_storage' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_141_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_144_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_489_element' })
event.remove({ output: 'industrialupgrade:itemcell/itemcell' })
event.remove({ output: 'industrialupgrade:basemachine3/steam_quarry' })
event.remove({ output: 'industrialupgrade:basemachine3/adv_steam_quarry' })
event.remove({ output: 'industrialupgrade:blockresource/bio_machine' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_593_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_572_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_570_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_576_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_580_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_560_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_589_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_596_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_568_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_581_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_574_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_495_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_588_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_356_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_582_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_294_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_573_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_60_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_614_element' })
event.remove({ output: 'industrialupgrade:blastfurnace/blast_furnace_part' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_64_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_34_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_295_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_46_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_70_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_72_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_35_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_142_element' })
event.remove({ output: 'industrialupgrade:basemachine3/bio_centrifuge' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_137_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_205_element' })
event.remove({ output: 'industrialupgrade:energy/molot' })
event.remove({ output: 'industrialupgrade:energy/iron_hammer' })
event.remove({ output: 'industrialupgrade:energy/steel_hammer' })
event.remove({ output: 'industrialupgrade:itemingots/alloy_ingot' })
event.remove({ output: 'industrialupgrade:refractory_furnace/refractory_furnace' })
event.remove({ output: 'industrialupgrade:circuit/circuit_part2' })
event.remove({ output: 'industrialupgrade:upgrade_casing' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_298_element' })
event.remove({ output: 'industrialupgrade:upgrades/overclocker' })
event.remove({ output: 'industrialupgrade:upgrades/overclockerupgrade1' })
event.remove({ output: 'industrialupgrade:upgrades/overclockerupgrade2' })
event.remove({ output: 'industrialupgrade:basemachine3/laser_polisher' })
event.remove({ output: 'powerutils:converter/power_utilities_fe' })
event.remove({ output: 'industrialupgrade:energy/wrench' })
event.remove({ output: 'industrialupgrade:electronic_stabilizers' })
event.remove({ output: 'industrialupgrade:voltage_sensor_for_mechanism' })
event.remove({ output: 'industrialupgrade:medium_current_converter_to_low' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_567_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_565_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_138_element' })
event.remove({ output: 'industrialupgrade:upgrades/ejector' })
event.remove({ output: 'industrialupgrade:upgrades/pulling' })
event.remove({ output: 'industrialupgrade:upgrades/fluid_ejector' })
event.remove({ output: 'industrialupgrade:upgrades/fluid_pulling' })
event.remove({ output: 'industrialupgrade:battery/lapotron_crystal' })
event.remove({ output: 'industrialupgrade:wiring/biofuel' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_27_element' })
event.remove({ output: 'industrialupgrade:basemachine3/solar_iu' })
event.remove({ output: 'industrialupgrade:battery/advanced_re_battery' })
event.remove({ output: 'industrialupgrade:pollution_device' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_40_element' })
event.remove({ output: 'industrialupgrade:tools/multiblock_planner' })
event.remove({ output: 'industrialupgrade:tools/multiblock_deplanner' })
event.remove({ output: 'industrialupgrade:energy/magnet' })
event.remove({ output: 'industrialupgrade:energy/impmagnet' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_243_element' })
event.remove({ output: 'industrialupgrade:module_schedule' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_122_element' })
event.remove({ output: 'industrialupgrade:wiring/glass' })
event.remove({ output: 'industrialupgrade:tank_iu/tank_iu' })
event.remove({ output: 'industrialupgrade:basemachine3/steel_tank' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_590_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_559_element' })
event.remove({ output: 'industrialupgrade:steam_turbine/steam_turbine_controller_rod' })
event.remove({ output: 'industrialupgrade:steam_turbine/steam_turbine_casing' })
event.remove({ output: 'industrialupgrade:steam_turbine/steam_turbine_rod' })
event.remove({ output: 'industrialupgrade:basemachine3/fluid_heat' })
event.remove({ output: 'industrialupgrade:sensor/sensor' })
event.remove({ output: 'industrialupgrade:block_anvil/block_anvil' })
event.remove({ output: 'industrialupgrade:basemachine3/steampressureconverter' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_578_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_112_element' })
event.remove({ output: 'industrialupgrade:basemachine3/purifier_soil' })
event.remove({ output: 'industrialupgrade:basemachine3/steam_converter' })
event.remove({ output: 'industrialupgrade:basemachine3/crystal_charge' })
event.remove({ output: 'industrialupgrade:basemachine3/electric_wire_insulator' })
event.remove({ output: 'industrialupgrade:basemachine3/pump_iu' })
event.remove({ output: 'industrialupgrade:basemachine2/electrolyzer_iu' })
event.remove({ output: 'industrialupgrade:basemachine1/handler_ho' })
event.remove({ output: 'industrialupgrade:basemachine3/electric_squeezer' })
event.remove({ output: 'industrialupgrade:moremachine2/cutting' })
event.remove({ output: 'industrialupgrade:moremachine2/extruder' })
event.remove({ output: 'industrialupgrade:simplemachine/extractor_iu' })
event.remove({ output: 'industrialupgrade:simplemachine/compressor_iu' })
event.remove({ output: 'industrialupgrade:simplemachine/macerator_iu' })
event.remove({ output: 'industrialupgrade:basemachine3/electric_dryer' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_599_element' })
event.remove({ output: 'industrialupgrade:basemachine3/solid_cooling' })
event.remove({ output: 'industrialupgrade:wiring/cool' })
event.remove({ output: 'industrialupgrade:wiring/pipes' })
event.remove({ output: 'industrialupgrade:basemachine3/electric_refractory_furnace' })
event.remove({ output: 'industrialupgrade:basemachine3/energy_trash' })
event.remove({ output: 'industrialupgrade:basemachine3/fluid_trash' })
event.remove({ output: 'industrialupgrade:basemachine3/item_trash' })
event.remove({ output: 'industrialupgrade:basemachine3/solardestiller' })
event.remove({ output: 'industrialupgrade:adv_refiner/adv_refiner' })
event.remove({ output: 'industrialupgrade:obsidian_hammer' })
event.remove({ output: 'industrialupgrade:itemiucrafring/itemmtcore' })
event.remove({ output: 'industrialupgrade:double_transformer/double_transformer' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_366_element' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_439_element' })
event.remove({ output: 'industrialupgrade:upgrade_speed_creation' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_299_element' })
event.remove({ output: 'industrialupgrade:wiring/glass' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_226_element' })
event.remove({ output: 'industrialupgrade:earth_quarry/earth_casing' })
event.remove({ output: 'industrialupgrade:chemical_plant/chemical_plant_casing' })
event.remove({ output: 'industrialupgrade:circuit/advanced_part2' })
event.remove({ output: 'industrialupgrade:basemachine3/gas_combiner' })
event.remove({ output: 'industrialupgrade:crafting_elements/crafting_201_element' })
event.remove({ output: 'industrialupgrade:basemachine3/adv_solar_destiller' })
event.remove({ output: 'industrialupgrade:basemachine3/imp_solar_destiller' })
event.remove({ output: 'industrialupgrade:basemachine3/per_solar_destiller' })
event.remove({ output: 'industrialupgrade:photonic_machine/photonic_destiller' })
event.remove({ output: 'industrialupgrade:basemachine3/substitute' })
event.remove({ output: 'industrialupgrade:basemachine3/energy_controller' })
event.remove({ output: 'industrialupgrade:transformer_iu/lv' })
event.remove({ output: 'industrialupgrade:transformer_iu/mv' })
event.remove({ output: 'industrialupgrade:basemachine3/recipe_tuner' })

event.shaped(
  Item.of('4x industrialupgrade:smeltery/smeltery_casing'),
  [
    ' A ',
    'BCB',
    ' A '
  ],
  {
    A: 'industrialupgrade:casing/yttrium',
    B: 'industrialupgrade:casing/spinel',
    C: 'minecraft:bricks'
  }
)
event.shaped(
  Item.of('industrialupgrade:smeltery/smeltery_tank'),
  [
    ' B ',
    'BAB',
    ' B '
  ],
  {
    A: 'industrialupgrade:smeltery/smeltery_casing',
    B: 'industrialupgrade:basemachine3/oak_tank'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/oak_tank'),
  [
    'BBB',
    'BAB',
    'BBB'
  ],
  {
    A: 'minecraft:glass',
    B: '#minecraft:planks'
  }
)
event.shaped(
  Item.of('industrialupgrade:smeltery/smeltery_fuel_tank'),
  [
    ' С ',
    'BAB',
    ' D '
  ],
  {
    A: 'industrialupgrade:smeltery/smeltery_casing',
    B: 'industrialupgrade:basemachine3/oak_tank',
    С: 'minecraft:lava_bucket',
    D: 'industrialupgrade:itemingots/gadolinium'
  }
)
event.shaped(
  Item.of('industrialupgrade:smeltery/smeltery_casting'),
  [
    ' B ',
    'BAB',
    ' B '
  ],
  {
    A: 'industrialupgrade:smeltery/smeltery_casing',
    B: 'industrialupgrade:itemingots/silver_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_497_element'),
  [
    ' B ',
    'BAB',
    ' B '
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_496_element',
    B: 'industrialupgrade:itemingots/invar_ingot'
  }
)
event.shaped(
  Item.of('4x industrialupgrade:crafting_elements/crafting_601_element'),
  [
    'B B',
    'B B',
    'BBB'
  ],
  {
    B: 'industrialupgrade:itemingots/electrium_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:primal_fluid_heater/primal_fluid_heater'),
  [
    'BCB',
    'BCB',
    'BAB'
  ],
  {
    A: 'industrialupgrade:alloyingot/aluminum_bronze',
    B:'minecraft:iron_ingot',
    C:'industrialupgrade:crafting_elements/crafting_601_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:primal_silicon_crystal_handler/primal_silicon_crystal_handler'),
  [
    'BBB',
    'BAB',
    'BBB'
  ],
  {
    A: 'minecraft:glass',
    B: 'minecraft:iron_ingot'
  }
)
event.shapeless(
  Item.of('minecraft:flint'), // arg 1: output
  [
    'minecraft:gravel',
    'minecraft:gravel', 	       // arg 2: the array of inputs
    'minecraft:gravel'
  ]
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_76_element'),
  [
    'BBB',
    '   ',
    'BBB'
  ],
  {
    B: 'minecraft:iron_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:compressor/compressor'),
  [
    'BAB',
    'BCB',
    'B B'
  ],
  {
    B: '#minecraft:planks',
    A: 'minecraft:smooth_stone',
    C: 'industrialupgrade:crafting_elements/crafting_76_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:primal_fluid_integrator/primal_fluid_integrator'),
  [
    'A A',
    'ACA',
    'BBB'
  ],
  {
    B: 'industrialupgrade:alloyplate/ferromanganese',
    A: 'minecraft:smooth_stone',
    C: 'industrialupgrade:crafting_elements/crafting_601_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:primal_wire_insulator/primal_wire_insulator'),
  [
    '   ',
    'CCC',
    'BAB'
  ],
  {
    B: '#minecraft:logs',
    A: '#minecraft:planks',
    C: 'minecraft:smooth_stone_slab'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_200_element'),
  [
    '  A',
    ' A ',
    'A  '
  ],
  {
    A: 'industrialupgrade:itemingots/zinc_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:solderingiron'),
  [
    '  B',
    ' A ',
    '   '
  ],
  {
    A: 'minecraft:gold_ingot',
    B: 'minecraft:quartz'
  }
)
event.shaped(
  Item.of('kubejs:invar_boiler'),
  [
    'B B',
    'B B',
    'BBB'
  ],
  {
    B: 'industrialupgrade:itemingots/invar_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:gas_chamber/primal_gas_chamber'),
  [
    'BAB',
    'AAA',
    'ABA'
  ],
  {
    B: 'kubejs:invar_boiler',
    A: 'minecraft:iron_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:macerator/macerator'),
  [
    'DBD',
    'CAC',
    'CEC'
  ],
  {
    B: 'minecraft:smooth_stone',
    A: 'industrialupgrade:crafting_elements/crafting_41_element',
    C: 'industrialupgrade:itemingots/invar_ingot',
    D: 'minecraft:stick',
    E: '#minecraft:planks'
  }
)
event.smelting('industrialupgrade:blockresource/tempered_glass', 'kubejs:quartz_glass')
event.shapeless(
  Item.of('kubejs:quartz_glass'), // arg 1: output
  [
    'minecraft:glass',
    'minecraft:quartz'
  ]
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_650_element'),
  [
    ' B ',
    ' A ',
    ' C '
  ],
  {
    B: 'industrialupgrade:blockresource/tempered_glass',
    A: 'minecraft:redstone',
    C: 'industrialupgrade:alloyingot/nichrome'
  }
)
event.shaped(
  Item.of('industrialupgrade:circuit/circuit_part1'),
  [
    'BBB',
    'CAC',
    'D D'
  ],
  {
    B: 'minecraft:iron_ingot',
    A: 'minecraft:flint',
    C: 'minecraft:gold_ingot',
    D: 'minecraft:redstone'
  }
)
event.shaped(
  Item.of('6x industrialupgrade:wiring/copper'),
  [
    '   ',
    'AAA',
    '   '
  ],
  {
    A: 'minecraft:copper_ingot'
  }
)
event.shaped(
  Item.of('6x industrialupgrade:wiring/gold'),
  [
    '   ',
    'AAA',
    '   '
  ],
  {
    A: 'minecraft:gold_ingot'
  }
)
event.shaped(
  Item.of('6x industrialupgrade:wiring/iron'),
  [
    '   ',
    'AAA',
    '   '
  ],
  {
    A: 'minecraft:iron_ingot'
  }
)
event.shaped(
  Item.of('6x industrialupgrade:wiring/tin'),
  [
    '   ',
    'AAA',
    '   '
  ],
  {
    A: 'industrialupgrade:itemingots/tin_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:circuit/circuit_part3'),
  [
    'CCC',
    'A A',
    'BBB'
  ],
  {
    A: 'industrialupgrade:circuit/circuit_part1',
    B: 'industrialupgrade:itemingots/silver_ingot',
    C: 'industrialupgrade:wiring/copper1'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_42_element'),
  [
    '   ',
    'AAA',
    'CBC'
  ],
  {
    A: 'industrialupgrade:itemingots/wolfram_ingot',
    B: 'industrialupgrade:circuit/circuit_part3',
    C: 'minecraft:redstone'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_21_element'),
  [
    'CCC',
    'ABA',
    '   '
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_650_element',
    B: 'industrialupgrade:crafting_elements/crafting_42_element',
    C: 'industrialupgrade:itemingots/tin_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:blockresource/steam_machine'),
  [
    'CC',
    'CC'
  ],
  {
    C: 'industrialupgrade:alloyingot/aluminum_bronze'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_32_element'),
  [
    ' C ',
    ' A ',
    ' B '
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_21_element',
    C: 'industrialupgrade:gear/invar',
    B: 'minecraft:bucket'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_123_element'),
  [
    ' C ',
    ' A ',
    ' B '
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_21_element',
    C: 'industrialupgrade:alloygear/ferromanganese',
    B: 'minecraft:bucket'
  }
)
event.shaped(
  Item.of('16x industrialupgrade:wiring/steam'),
  [
    'AAA',
    '   ',
    'AAA'
  ],
  {
    A: 'industrialupgrade:alloyingot/aluminum_bronze'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/steam_storage'),
  [
    ' A ',
    'ABA',
    ' A '
  ],
  {
    A: 'industrialupgrade:alloycasing/aluminum_bronze',
    B: 'minecraft:glass'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_141_element'),
  [
    'DBB',
    '  C',
    'AAA'
  ],
  {
    A: 'industrialupgrade:itemingots/cobalt_ingot',
    B: 'industrialupgrade:itemingots/nickel_ingot',
    C: 'industrialupgrade:itemingots/titanium_ingot',
    D: 'minecraft:iron_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_144_element'),
  [
    'BBB',
    ' A ',
    ' D '
  ],
  {
    A: 'industrialupgrade:itemingots/cobalt_ingot',
    B: 'industrialupgrade:itemingots/nickel_ingot',
    D: 'minecraft:iron_ingot'
  }
)
event.shaped(
  Item.of('8x industrialupgrade:crafting_elements/crafting_489_element'),
  [
    'AB ',
    'BAB',
    ' BA'
  ],
  {
    A: 'industrialupgrade:alloyingot/nitenol',
    B: 'industrialupgrade:itemplates/aluminium_plate'
  }
)
event.shaped(
  Item.of('4x industrialupgrade:crafting_elements/crafting_489_element'),
  [
    'AB ',
    'BAB',
    ' BA'
  ],
  {
    A: 'industrialupgrade:alloyingot/ferromanganese',
    B: 'industrialupgrade:itemplates/cadmium'
  }
)
event.shaped(
  Item.of('8x industrialupgrade:itemcell/itemcell'),
  [
    ' B ',
    'BAB',
    ' B '
  ],
  {
    A: 'minecraft:glass_pane',
    B: 'industrialupgrade:itemingots/tin_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/steam_quarry'),
  [
    '   ',
    'DAC',
    'BBB'
  ],
  {
    A: 'industrialupgrade:blockresource/steam_machine',
    B: 'industrialupgrade:basemachine3/quarry_pipe',
    C: 'industrialupgrade:crafting_elements/crafting_32_element',
    D: 'industrialupgrade:crafting_elements/crafting_123_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/adv_steam_quarry'),
  [
    'BBB',
    'CAC',
    'BBB'
  ],
  {
    A: 'industrialupgrade:basemachine3/steam_quarry',
    B: 'industrialupgrade:crafting_elements/crafting_504_element',
    C: 'industrialupgrade:alloydoubleplate/gallium_arsenic'
  }
)
event.shaped(
  Item.of('2x industrialupgrade:crafting_elements/crafting_578_element'),
  [
    ' BB',
    'BAB',
    'BB '
  ],
  {
    B: 'minecraft:iron_ingot',
    A: 'industrialupgrade:itemingots/invar_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_593_element'),
  [
    'AC ',
    'CBC',
    ' CA'
  ],
  {
    B: 'minecraft:redstone',
    A: 'industrialupgrade:nugget/thallium',
    C: 'industrialupgrade:itemingots/zinc_ingot'
  }
)
event.shaped(
  Item.of('8x industrialupgrade:crafting_elements/crafting_572_element'),
  [
    'BBB',
    'B B',
    'BBB'
  ],
  {
    B: 'minecraft:iron_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_570_element'),
  [
    '  A',
    'BA ',
    'BB '
  ],
  {
    B: 'minecraft:iron_ingot',
    A: 'minecraft:flint'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_576_element'),
  [
    'BAB',
    'BAB',
    'BAB'
  ],
  {
    B: 'minecraft:terracotta',
    A: 'minecraft:redstone'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_580_element'),
  [
    'BCC',
    'AAA',
    'BCC'
  ],
  {
    B: 'industrialupgrade:itemingots/chromium_ingot',
    A: 'minecraft:copper_ingot',
    C: 'industrialupgrade:wiring/copper'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_560_element'),
  [
    'BCC',
    'AAA',
    'BCC'
  ],
  {
    B: 'industrialupgrade:itemingots/chromium_ingot',
    A: 'industrialupgrade:alloyingot/aluminum_bronze',
    C: 'industrialupgrade:wiring/copper'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_589_element'),
  [
    'BCC',
    'AAA',
    'BCC'
  ],
  {
    B: 'industrialupgrade:itemingots/chromium_ingot',
    A: 'industrialupgrade:alloyingot/permalloy',
    C: 'industrialupgrade:wiring/copper'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_596_element'),
  [
    'BCC',
    'AAA',
    'BCC'
  ],
  {
    B: 'industrialupgrade:itemingots/chromium_ingot',
    A: 'industrialupgrade:alloyingot/stellite',
    C: 'industrialupgrade:wiring/copper'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_568_element'),
  [
    ' C ',
    ' A ',
    ' B '
  ],
  {
    B: 'industrialupgrade:nugget/invar',
    A: 'industrialupgrade:stick/silver',
    C: 'industrialupgrade:itemplates/arsenic'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_581_element'),
  [
    ' B ',
    ' A ',
    ' B '
  ],
  {
    B: 'minecraft:copper_ingot',
    A: 'industrialupgrade:wiring/copper1'
  }
)
event.shaped(
  Item.of('4x industrialupgrade:crafting_elements/crafting_574_element'),
  [
    'BB',
    'AA'
  ],
  {
    B: 'industrialupgrade:itemingots/zinc_ingot',
    A: 'industrialupgrade:itemingots/wolfram_ingot'
  }
)
event.shaped(
  Item.of('8x industrialupgrade:crafting_elements/crafting_494_element'),
  [
    'AA',
    'AA'
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_495_element'
  }
)
event.shaped(
  Item.of('2x industrialupgrade:crafting_elements/crafting_588_element'),
  [
    'BBC',
    'BAA',
    'BBC'
  ],
  {
    B: 'industrialupgrade:itemingots/niobium',
    A: 'industrialupgrade:itemingots/thallium',
    C: 'industrialupgrade:itemingots/strontium'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_356_element'),
  [
    ' B ',
    ' A ',
    ' B '
  ],
  {
    B: 'minecraft:iron_ingot',
    A: 'industrialupgrade:crafting_elements/crafting_294_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_294_element'),
  [
    'BBB',
    'B B',
    'BBB'
  ],
  {
    B: 'industrialupgrade:wiring/copper'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_582_element'),
  [
    ' B ',
    'BAB',
    ' B '
  ],
  {
    B: 'industrialupgrade:wiring/copper',
    A: 'industrialupgrade:crafting_elements/crafting_356_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_573_element'),
  [
    '  A',
    'BA ',
    'BB '
  ],
  {
    B: 'minecraft:gold_ingot',
    A: 'minecraft:flint'
  }
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_60_element'), // arg 1: output
  [
    'industrialupgrade:battery/advanced_re_battery',
    'industrialupgrade:crafting_elements/crafting_21_element'
  ]
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_614_element'), // arg 1: output
  [
    'industrialupgrade:battery/re_battery',
    'industrialupgrade:crafting_elements/crafting_21_element'
  ]
)
event.shaped(
  Item.of('2x kubejs:heat_resistant_clay'),
  [
    'BA',
    'AB'
  ],
  {
    B: 'industrialupgrade:itemdust/magnesium_dust',
    A: 'minecraft:clay_ball'
  }
)
event.shaped(
  Item.of('industrialupgrade:blastfurnace/blast_furnace_part'),
  [
    'AA',
    'AA'
  ],
  {
    A: 'kubejs:blast_brick'
  }
)
event.smelting('kubejs:blast_brick', 'kubejs:heat_resistant_clay')
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_64_element'),
  [
    'CBC',
    'BAB',
    'CBC'
  ],
  {
    B: '#minecraft:leaves',
    A: 'industrialupgrade:crafting_elements/crafting_21_element',
    C: '#minecraft:flowers'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_34_element'),
  [
    'CBC',
    'BAB',
    'CBC'
  ],
  {
    B: '#forge:crushed',
    A: 'industrialupgrade:crafting_elements/crafting_21_element',
    C: 'industrialupgrade:itemcell/itemcell'
  }
)
event.shaped(
  Item.of('industrialupgrade:blockresource/bio_machine'),
  [
    'AB',
    'BA'
  ],
  {
    B: 'industrialupgrade:alloyingot/duralumin',
    A: 'industrialupgrade:crafting_elements/crafting_295_element'
  }
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_295_element'), // arg 1: output
  [
    '%cropstab',
    '%cropstab',
    '%cropstab',
    '%cropstab'
  ]
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_295_element'), // arg 1: output
  [
    '#forge:seeds',
    '#forge:seeds',
    '#forge:seeds',
    '#forge:seeds'
  ]
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_295_element'), // arg 1: output
  [
    '#minecraft:leaves',
    '#minecraft:leaves',
    '#minecraft:leaves',
    '#minecraft:leaves'
  ]
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_295_element'), // arg 1: output
  [
    'minecraft:cactus',
    'minecraft:cactus',
    'minecraft:cactus',
    'minecraft:cactus'
  ]
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_295_element'), // arg 1: output
  [
    '#forge:crops',
    '#forge:crops',
    '#forge:crops',
    '#forge:crops'
  ]
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_295_element'), // arg 1: output
  [
    'minecraft:sugar_cane',
    'minecraft:sugar_cane',
    'minecraft:sugar_cane',
    'minecraft:sugar_cane'
  ]
)
event.shapeless(
  Item.of('industrialupgrade:crafting_elements/crafting_295_element'), // arg 1: output
  [
    'minecraft:bamboo',
    'minecraft:bamboo',
    'minecraft:bamboo',
    'minecraft:bamboo'
  ]
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_46_element'),
  [
    ' A ',
    'ABA',
    'ABA'
  ],
  {
    B: 'industrialupgrade:itemingots/aluminium_ingot',
    A: 'minecraft:iron_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_70_element'),
  [
    ' A ',
    'ABA',
    ' A '
  ],
  {
    B: 'industrialupgrade:crafting_elements/crafting_46_element',
    A: 'industrialupgrade:itemingots/magnesium_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_72_element'),
  [
    ' A ',
    'ABA',
    ' A '
  ],
  {
    B: 'industrialupgrade:crafting_elements/crafting_46_element',
    A: 'industrialupgrade:itemingots/mikhail_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_35_element'),
  [
    ' A ',
    'ABA',
    ' A '
  ],
  {
    B: 'industrialupgrade:crafting_elements/crafting_46_element',
    A: 'industrialupgrade:itemingots/chromium_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_142_element'),
  [
    'AAA',
    'BCB',
    ' D '
  ],
  {
    B: 'industrialupgrade:itemingots/cobalt_ingot',
    A: 'industrialupgrade:itemingots/platium_ingot',
    C: 'industrialupgrade:itemingots/titanium_ingot',
    D: 'minecraft:iron_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/bio_centrifuge'),
  [
    'A A',
    'BCE',
    ' D '
  ],
  {
    B: 'industrialupgrade:crafting_elements/crafting_44_element',
    A: 'industrialupgrade:crafting_elements/crafting_70_element',
    C: 'industrialupgrade:blockresource/bio_machine',
    D: 'industrialupgrade:crafting_elements/crafting_64_element',
    E: 'industrialupgrade:crafting_elements/crafting_27_element'
  }
)
event.shaped(
  Item.of('4x industrialupgrade:crafting_elements/crafting_137_element'),
  [
    ' B ',
    'BAB',
    ' B '
  ],
  {
    B: 'industrialupgrade:itemingots/steel_ingot',
    A: 'industrialupgrade:crafting_elements/crafting_501_element'
  }
)
event.shapeless(
  Item.of('industrialupgrade:itemdust/silicon_dioxide_dust'), // arg 1: output
  [
    'minecraft:blaze_powder',
    'industrialupgrade:itemdust/clay_dust',
    'industrialupgrade:itemdust/clay_dust',
    'industrialupgrade:itemdust/clay_dust',
    'industrialupgrade:itemdust/clay_dust',
    'industrialupgrade:itemdust/clay_dust',
    'industrialupgrade:itemdust/clay_dust',
    'industrialupgrade:itemdust/clay_dust',
    'industrialupgrade:itemdust/quartz_dust'

  ]
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_205_element'),
  [
    'CBC',
    'BAB',
    'CBC'
  ],
  {
    B: 'industrialupgrade:heavyore/ferroaugite',
    A: 'industrialupgrade:crafting_elements/crafting_21_element',
    C: 'industrialupgrade:gear/cobalt'
  }
)
event.shaped(
  Item.of(('industrialupgrade:energy/molot')),
  [
    'CCC',
    'CBC',
    ' B '
  ],
  {
    B: 'minecraft:stick',
    C: 'industrialupgrade:alloyingot/ferromanganese'
  }
)
event.shaped(
  Item.of(('industrialupgrade:energy/iron_hammer')),
  [
    'CAC',
    'CBC',
    ' B '
  ],
  {
    B: 'minecraft:stick',
    C: 'minecraft:iron_ingot',
    A: 'minecraft:iron_block'
  }
)
event.shaped(
  Item.of(('industrialupgrade:energy/steel_hammer')),
  [
    'CCC',
    'CBC',
    ' B '
  ],
  {
    B: 'minecraft:stick',
    C: 'industrialupgrade:itemingots/steel_ingot'
  }
)
event.shaped(
  Item.of(('3x industrialupgrade:itemingots/alloy_ingot')),
  [
    'CCC',
    'BBB',
    'AAA'
  ],
  {
    B: 'minecraft:copper_ingot',
    C: 'minecraft:iron_ingot',
    A: 'industrialupgrade:itemingots/tin_ingot'
  }
)
event.shaped(
  Item.of(('industrialupgrade:refractory_furnace/refractory_furnace')),
  [
    'EEE',
    'EDE',
    'CAC'
  ],
  {
    C: 'minecraft:bucket',
    A: 'industrialupgrade:baseblockingot/wolfram',
    E: 'industrialupgrade:itemplates/steel_plate',
    D: 'minecraft:blast_furnace'
  }
)
event.shaped(
  Item.of(('industrialupgrade:circuit/circuit_part2')),
  [
    ' C ',
    'CBC',
    ' C '
  ],
  {
    B: 'industrialupgrade:circuit/circuit_part1',
    C: 'industrialupgrade:stick/zinc'
  }
)
event.shaped(
  Item.of(('industrialupgrade:upgrade_casing')),
  [
    'CB',
    'BC'
  ],
  {
    B: 'industrialupgrade:itemplates/steel_plate',
    C: 'industrialupgrade:graphene_plate'
  }
)
event.shaped(
  Item.of(('2x industrialupgrade:crafting_elements/crafting_298_element')),
  [
    ' C ',
    'CBC',
    ' C '
  ],
  {
    B: 'industrialupgrade:cooling_mixture',
    C: 'industrialupgrade:itemplates/tin_plate'
  }
)
event.shaped(
  Item.of(('industrialupgrade:upgrades/overclocker')),
  [
    'CAC',
    'DBD',
    '   '
  ],
  {
    B: 'industrialupgrade:upgrade_casing',
    C: 'industrialupgrade:crafting_elements/crafting_414_element',
    A: 'industrialupgrade:crafting_elements/crafting_298_element',
    D: 'industrialupgrade:wiring/copper'
  }
)
event.shaped(
  Item.of(('industrialupgrade:upgrades/overclockerupgrade1')),
  [
    'ADA',
    'CBC',
    '   '
  ],
  {
    B: 'industrialupgrade:upgrades/overclocker',
    C: 'industrialupgrade:wiring/glass_1',
    A: 'industrialupgrade:nanobox',
    D: 'industrialupgrade:crafting_elements/crafting_299_element'
  }
)
event.shaped(
  Item.of(('industrialupgrade:upgrades/overclockerupgrade2')),
  [
    'DED',
    'CBC',
    '   '
  ],
  {
    B: 'industrialupgrade:upgrades/overclockerupgrade1',
    C: 'industrialupgrade:wiring/glass1',
    D: 'industrialupgrade:quantumitems7',
    E: 'industrialupgrade:crafting_elements/crafting_300_element'
  }
)
event.shaped(
  Item.of(('industrialupgrade:basemachine3/laser_polisher')),
  [
    'CEC',
    'CBC',
    ' A '
  ],
  {
    B: 'industrialupgrade:blockresource/machine',
    C: 'industrialupgrade:crafting_elements/crafting_354_element',
    A: 'industrialupgrade:crafting_elements/crafting_276_element',
    E: 'industrialupgrade:crafting_elements/crafting_44_element'
  }
)
event.shaped(
  Item.of(('powerutils:converter/power_utilities_fe')),
  [
    'CCC',
    'DBA',
    'CCC'
  ],
  {
    B: 'industrialupgrade:blockresource/machine',
    C: 'industrialupgrade:crafting_elements/crafting_480_element',
    A: 'industrialupgrade:wiring_storage/cesu_iu',
    D: 'ae2:controller'
  }
)
event.shaped(
  Item.of(('industrialupgrade:energy/wrench')),
  [
    'A A',
    'AAA',
    ' A '
  ],
  {
    A: 'minecraft:copper_ingot'
  }
)
event.shaped(
  Item.of(('industrialupgrade:electronic_stabilizers')),
  [
    'A A',
    'B B',
    'A A'
  ],
  {
    A: 'minecraft:iron_ingot',
    B: 'minecraft:lapis_lazuli'
  }
)
event.shaped(
  Item.of(('industrialupgrade:voltage_sensor_for_mechanism')),
  [
    '   ',
    'BBB',
    'ACA'
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_282_element',
    B: 'industrialupgrade:alloyingot/osmiridium',
    C: 'minecraft:redstone'
  }
)
event.shaped(
  Item.of(('2x industrialupgrade:medium_current_converter_to_low')),
  [
    'AAA',
    'BDB',
    'ECE'
  ],
  {
    A: 'industrialupgrade:graphene_plate',
    B: 'industrialupgrade:wiring/gold',
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:voltage_sensor_for_mechanism',
    E: 'industrialupgrade:polonium_palladium_composite'
  }
)
event.shaped(
  Item.of(('industrialupgrade:crafting_elements/crafting_567_element')),
  [
    ' A ',
    ' B ',
    ' C '
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_501_element',
    B: 'industrialupgrade:stick/electrium',
    C: 'industrialupgrade:nugget/germanium'
  }
)
event.shaped(
  Item.of(('industrialupgrade:crafting_elements/crafting_565_element')),
  [
    ' A ',
    ' B ',
    ' C '
  ],
  {
    A: 'industrialupgrade:alloyplate/gallium_arsenic',
    B: 'industrialupgrade:stick/silver',
    C: 'industrialupgrade:nugget/zinc'
  }
)
event.shaped(
  Item.of(('industrialupgrade:crafting_elements/crafting_138_element')),
  [
    'CA ',
    'AB '
  ],
  {
    A: 'industrialupgrade:itemplates/electrium_plate',
    B: 'industrialupgrade:plastic_plate',
    C: 'industrialupgrade:crafting_elements/crafting_137_element'
  }
)
event.shaped(
  Item.of(('industrialupgrade:upgrades/ejector')),
  [
    'B ',
    'A '
  ],
  {
    A: 'industrialupgrade:upgrade_casing',
    B: 'minecraft:piston'
  }
)
event.shaped(
  Item.of(('industrialupgrade:upgrades/pulling')),
  [
    'B ',
    'A '
  ],
  {
    A: 'industrialupgrade:upgrade_casing',
    B: 'minecraft:sticky_piston'
  }
)
event.shaped(
  Item.of(('industrialupgrade:upgrades/fluid_ejector')),
  [
    'B ',
    'A '
  ],
  {
    A: 'industrialupgrade:upgrade_casing',
    B: 'industrialupgrade:itemcell/itemcell'
  }
)
event.shaped(
  Item.of(('industrialupgrade:upgrades/fluid_pulling')),
  [
    'B ',
    'A '
  ],
  {
    A: 'industrialupgrade:upgrade_casing',
    B: 'industrialupgrade:tools/treetap'
  }
)
event.shaped(
  Item.of(('industrialupgrade:battery/lapotron_crystal')),
  [
    'ACA',
    'ABA',
    'ACA'
  ],
  {
    A: 'industrialupgrade:itemdust/lapis_dust',
    B: 'industrialupgrade:battery/energy_crystal',
    C: Item.of('industrialupgrade:crafting_elements/crafting_273_element', '{level:3}')
  }
)
event.shaped(
  Item.of(('industrialupgrade:crafting_elements/crafting_27_element')),
  [
    ' A ',
    'ABA',
    ' A '
  ],
  {
    A: 'industrialupgrade:itemcell/itemcell',
    B: 'industrialupgrade:crafting_elements/crafting_21_element'
  }
)
event.shaped(
  Item.of(('16x industrialupgrade:wiring/biofuel')),
  [
    'AAA',
    '   ',
    'AAA'
  ],
  {
    A: 'industrialupgrade:alloyingot/duralumin'
  }
)
event.shaped(
  Item.of(('industrialupgrade:battery/advanced_re_battery')),
  [
    'EDE',
    'ACA',
    'ABA'
  ],
  {
    A: 'industrialupgrade:casing/bronze',
    B: 'industrialupgrade:itemingots/lead_ingot',
    C: 'industrialupgrade:crafting_elements/crafting_476_element',
    D: 'industrialupgrade:charged_redstone',
    E: 'industrialupgrade:wiring/copper1'
  }
)
event.shaped(
  Item.of(('industrialupgrade:basemachine3/solar_iu')),
  [
    'DAD',
    'ACA',
    ' B '
  ],
  {
    A: 'minecraft:glass',
    B: 'industrialupgrade:crafting_elements/crafting_11_element',
    C: 'industrialupgrade:blockresource/machine',
    D: 'industrialupgrade:itemdust/coal_dust'
  }
)
event.shaped(
  Item.of(('industrialupgrade:double_transformer/double_transformer')),
  [
    'DAD',
    'ECE',
    'DBD'
  ],
  {
    A: 'industrialupgrade:transformer_iu/ev',
    B: 'industrialupgrade:molecular/molecular',
    C: 'industrialupgrade:blockresource/machine',
    D: 'industrialupgrade:blockresource/advanced_machine',
    E: Item.of('industrialupgrade:circuit/quantumcircuit', '{level:7}')
  }
)
event.shaped(
  Item.of(('industrialupgrade:pollution_device')),
  [
    'AAA',
    'ECE',
    ' B '
  ],
  {
    A: 'minecraft:iron_ingot',
    B: 'industrialupgrade:radiationresources/americium_gem',
    C: 'industrialupgrade:circuit/circuit_part3',
    E: 'minecraft:redstone'
  }
)
event.shaped(
  Item.of(('industrialupgrade:crafting_elements/crafting_40_element')),
  [
    'ADA',
    'ECE',
    'ABA'
  ],
  {
    A: 'industrialupgrade:itemingots/lead_ingot',
    B: 'minecraft:redstone',
    C: 'industrialupgrade:circuit/circuit_part3',
    E: 'industrialupgrade:crafting_elements/crafting_414_element',
    D: 'minecraft:copper_ingot'
  }
)
event.shaped(
  Item.of(('industrialupgrade:tools/multiblock_planner')),
  [
    'AAA',
    'ECE',
    ' B '
  ],
  {
    A: 'industrialupgrade:itemingots/thallium',
    B: 'minecraft:gold_ingot',
    C: 'industrialupgrade:circuit/advanced_part3',
    E: 'industrialupgrade:crafting_elements/crafting_373_element'
  }
)
event.shaped(
  Item.of(('industrialupgrade:tools/multiblock_deplanner')),
  [
    'AAA',
    'ECE',
    ' B '
  ],
  {
    A: 'industrialupgrade:itemingots/yttrium',
    B: 'industrialupgrade:itemingots/palladium',
    C: 'industrialupgrade:circuit/advanced_part3',
    E: 'industrialupgrade:crafting_elements/crafting_373_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:energy/magnet'),
  [
    'A E',
    'BCB',
    'BBB'
  ],
  {
    A: 'minecraft:redstone',
    B: 'industrialupgrade:crafting_elements/crafting_504_element',
    C: 'industrialupgrade:battery/advanced_re_battery',
    E: 'industrialupgrade:charged_redstone'
  }
)
event.shaped(
  Item.of('industrialupgrade:energy/impmagnet'),
  [
    '   ',
    'B A',
    'BCA'
  ],
  {
    B: 'industrialupgrade:alloyingot/red_brass',
    C: 'industrialupgrade:energy/magnet',
    A: 'industrialupgrade:alloyingot/cobalt_chrome'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_243_element'),
  [
    'BBB',
    'ACA',
    'BBB'
  ],
  {
    B: 'industrialupgrade:casing/gadolinium',
    C: 'industrialupgrade:crafting_elements/crafting_21_element',
    A: 'industrialupgrade:alloyingot/alcled'
  }
)
event.shapeless(
  Item.of('2x industrialupgrade:fertilizer'), // arg 1: output
  [
    'minecraft:bone_meal',
    'industrialupgrade:crafting_elements/crafting_287_element'
  ]
)
event.shaped(
  Item.of('industrialupgrade:module_schedule'),
  [
    'BAB',
    'ACA',
    'BAB'
  ],
  {
    B: 'industrialupgrade:itemplates/vanady_plate',
    C: 'industrialupgrade:plastic_plate',
    A: 'industrialupgrade:itemingots/zinc_ingot'
  }
)
event.shaped(
  Item.of('8x industrialupgrade:crafting_elements/crafting_122_element'),
  [
    'BBB',
    '   ',
    'BBB'
  ],
  {
    B: 'industrialupgrade:itemingots/wolfram_ingot'
  }
)
event.shaped(
  Item.of('industrialupgrade:tank_iu/tank_iu'),
  [
    ' A ',
    'ABA',
    ' A '
  ],
  {
    B: 'industrialupgrade:basemachine3/steel_tank',
    A: 'industrialupgrade:crafting_elements/crafting_137_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/steel_tank'),
  [
    'AAA',
    'CBC',
    'AAA'
  ],
  {
    B: 'industrialupgrade:basemachine3/oak_tank',
    A: 'minecraft:iron_ingot',
    C: 'industrialupgrade:itemplates/steel_plate'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_590_element'),
  [
    '  A',
    'BA ',
    'BB '
  ],
  {
    B: 'industrialupgrade:itemingots/platium_ingot',
    A: 'industrialupgrade:itemingots/neodymium'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_559_element'),
  [
    '  A',
    'BA ',
    'BB '
  ],
  {
    B: 'minecraft:diamond',
    A: 'industrialupgrade:alloyingot/nichrome'
  }
)
event.shaped(
  Item.of('industrialupgrade:circuit/advanced_part2'),
  [
    ' B ',
    'BAB',
    ' B '
  ],
  {
    B: 'industrialupgrade:stick/cobalt',
    A: 'industrialupgrade:circuit/advanced_part1'
  }
)
event.shaped(
  Item.of('industrialupgrade:steam_turbine/steam_turbine_controller_rod'),
  [
    'CDC',
    'BAB',
    'FEF'
  ],
  {
    B: 'industrialupgrade:steam_turbine/steam_turbine_rod',
    A: 'industrialupgrade:steam_turbine/steam_turbine_casing',
    C: 'industrialupgrade:crafting_elements/crafting_581_element',
    D: 'industrialupgrade:crafting_elements/crafting_574_element',
    E: 'industrialupgrade:crafting_elements/crafting_556_element',
    F: 'industrialupgrade:crafting_elements/crafting_479_element'
  }
)
event.shaped(
  Item.of('8x industrialupgrade:steam_turbine/steam_turbine_casing'),
  [
    'BBB',
    'BAB',
    'BBB'
  ],
  {
    B: 'industrialupgrade:itemplates/wolfram_plate',
    A: 'industrialupgrade:alloyingot/duralumin'
  }
)
event.shaped(
  Item.of('3x industrialupgrade:steam_turbine/steam_turbine_rod'),
  [
    'BBB',
    'AAA',
    'BBB'
  ],
  {
    B: 'industrialupgrade:itemplates/wolfram_plate',
    A: 'industrialupgrade:alloyingot/duralumin'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/fluid_heat'),
  [
    'BBB',
    'CEA',
    ' D '
  ],
  {
    B: 'industrialupgrade:crafting_elements/crafting_70_element',
    A: 'industrialupgrade:crafting_elements/crafting_27_element',
    C: 'industrialupgrade:crafting_elements/crafting_11_element',
    E: 'industrialupgrade:blockresource/machine',
    D: 'kubejs:invar_boiler'
  }
)
event.shaped(
  Item.of('industrialupgrade:sensor/sensor'),
  [
    'BBB',
    'BAB',
    'BBB'
  ],
  {
    B: 'minecraft:iron_ingot',
    A: Item.of('industrialupgrade:crafting_elements/crafting_272_element', '{level:1}')
  }
)
event.shaped(
  Item.of('industrialupgrade:block_anvil/block_anvil'),
  [
    'BBB',
    ' A ',
    'AAA'
  ],
  {
    B: 'industrialupgrade:baseblockingot/titanium',
    A: 'minecraft:iron_ingot'
  }
)
event.shapeless(
  Item.of('industrialupgrade:basemachine3/steampressureconverter'), // arg 1: output
  [
    'industrialupgrade:basemachine3/steamboiler',
    'industrialupgrade:crafting_elements/crafting_63_element'
  ]
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_112_element'),
  [
    '   ',
    'AAA',
    'BCB'
  ],
  {
    A: 'industrialupgrade:alloyingot/aluminium_lithium_alloy',
    B: 'industrialupgrade:itemdust/silver_nitrate_dust',
    C: 'industrialupgrade:crafting_elements/crafting_21_element'
  }
)

event.shaped(
  Item.of('industrialupgrade:basemachine3/purifier_soil'),
  [
    ' A ',
    'BDB',
    ' C '
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_154_element',
    B: 'industrialupgrade:crafting_elements/crafting_43_element',
    C: 'industrialupgrade:motors_with_improved_bearings_',
    D: 'industrialupgrade:blockresource/machine'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/steam_converter'),
  [
    ' A ',
    'ADA',
    ' C '
  ],
  {
    A: 'industrialupgrade:itemplates/steel_plate',
    C: 'industrialupgrade:basemachine3/steel_tank',
    D: 'industrialupgrade:basemachine3/steamboiler'
  }
)
event.shaped(
  Item.of('industrialupgrade:simplemachine/extractor_iu'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_159_element',
    B: 'industrialupgrade:crafting_elements/crafting_72_element',
    E: 'industrialupgrade:crafting_elements/crafting_44_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:moremachine2/cutting'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_163_element',
    B: 'industrialupgrade:crafting_elements/crafting_72_element',
    E: 'industrialupgrade:crafting_elements/crafting_44_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/electric_squeezer'),
  [
    '   ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    B: 'industrialupgrade:crafting_elements/crafting_43_element',
    E: 'industrialupgrade:crafting_elements/crafting_159_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine1/handler_ho'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_205_element',
    B: 'industrialupgrade:crafting_elements/crafting_70_element',
    E: 'industrialupgrade:crafting_elements/crafting_44_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine2/electrolyzer_iu'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_244_element',
    B: 'industrialupgrade:crafting_elements/crafting_27_element',
    E: 'industrialupgrade:crafting_elements/crafting_154_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/pump_iu'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_241_element',
    B: 'industrialupgrade:crafting_elements/crafting_27_element',
    E: 'industrialupgrade:crafting_elements/crafting_154_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/electric_wire_insulator'),
  [
    '   ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    B: 'industrialupgrade:crafting_elements/crafting_47_element',
    E: 'industrialupgrade:crafting_elements/crafting_163_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/electric_dryer'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_27_element',
    B: 'industrialupgrade:crafting_elements/crafting_43_element',
    E: 'industrialupgrade:crafting_elements/crafting_159_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:simplemachine/macerator_iu'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_69_element',
    B: 'industrialupgrade:crafting_elements/crafting_72_element',
    E: 'industrialupgrade:crafting_elements/crafting_44_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:simplemachine/compressor_iu'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_63_element',
    B: 'industrialupgrade:crafting_elements/crafting_72_element',
    E: 'industrialupgrade:crafting_elements/crafting_44_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/crystal_charge'),
  [
    '   ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    B: 'industrialupgrade:crafting_elements/crafting_44_element',
    E: 'industrialupgrade:charged_redstone'
  }
)
event.shaped(
  Item.of('industrialupgrade:moremachine2/extruder'),
  [
    ' A ',
    'BDE',
    ' C '
  ],
  {
    C: 'industrialupgrade:crafting_elements/crafting_276_element',
    D: 'industrialupgrade:blockresource/machine',
    A: 'industrialupgrade:crafting_elements/crafting_163_element',
    B: 'industrialupgrade:crafting_elements/crafting_72_element',
    E: 'industrialupgrade:crafting_elements/crafting_44_element'
  }
)
event.shapeless(
  Item.of('industrialupgrade:itemdust/silicon_dust'), // arg 1: output
  [
    'minecraft:flint',
    'minecraft:flint',
    'minecraft:flint',
    'minecraft:flint',
    'industrialupgrade:crafting_elements/crafting_41_element'
  ]
).keepIngredient(Item.of('industrialupgrade:crafting_elements/crafting_41_element').ignoreNBT())
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_599_element'),
  [
    'CBC',
    'BDB',
    'CBC'
  ],
  {
    C: 'industrialupgrade:itemingots/gadolinium',
    D: 'industrialupgrade:crafting_elements/crafting_582_element',
    B: 'industrialupgrade:alloyingot/ferromanganese'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/solid_cooling'),
  [
    'BBB',
    'CDC',
    '   '
  ],
  {
    C: 'industrialupgrade:wiring/cool',
    D: 'industrialupgrade:blockresource/advanced_machine',
    B: 'industrialupgrade:crafting_elements/crafting_72_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:wiring/cool'),
  [
    '   ',
    'CDC',
    '   '
  ],
  {
    C: 'industrialupgrade:itemplates/lead_plate',
    D: 'industrialupgrade:crafting_elements/crafting_122_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:wiring/pipes'),
  [
    '   ',
    'CDC',
    '   '
  ],
  {
    C: 'industrialupgrade:itemplates/aluminium_plate',
    D: 'industrialupgrade:crafting_elements/crafting_122_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/electric_refractory_furnace'),
  [
    '   ',
    'BDC',
    ' A '
  ],
  {
    A: 'industrialupgrade:motors_with_improved_bearings_',
    B: 'industrialupgrade:crafting_elements/crafting_70_element',
    C: 'industrialupgrade:crafting_elements/crafting_43_element',
    D: 'industrialupgrade:blockresource/machine'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/energy_trash'),
  [
    'CAC',
    'CDC',
    'CCC'
  ],
  {
    C: 'minecraft:iron_ingot',
    D: 'industrialupgrade:wiring/copper',
    A: 'minecraft:glass'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/fluid_trash'),
  [
    'CAC',
    'CDC',
    'CCC'
  ],
  {
    C: 'minecraft:iron_ingot',
    D: 'minecraft:bucket',
    A: 'minecraft:glass'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/item_trash'),
  [
    'CAC',
    'C C',
    'CCC'
  ],
  {
    C: 'minecraft:iron_ingot',
    A: 'minecraft:glass'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/solardestiller'),
  [
    'CBC',
    'BAB',
    'CBC'
  ],
  {
    C: 'minecraft:iron_ingot',
    A: 'minecraft:glass',
    B: 'industrialupgrade:crafting_elements/crafting_201_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:adv_refiner/adv_refiner'),
  [
    ' B',
    ' A'
  ],
  {
    A: 'industrialupgrade:refiner/refiner',
    B: 'industrialupgrade:crafting_elements/crafting_20_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:obsidian_hammer'),
  [
    'CBC',
    'CAC',
    ' A '
  ],
  {
    A: 'minecraft:stick',
    B: 'industrialupgrade:itemingots/steel_ingot',
    C: 'minecraft:obsidian'
  }
)
event.shaped(
  Item.of('industrialupgrade:itemiucrafring/itemmtcore'),
  [
    'C C',
    'CAC',
    'C C'
  ],
  {
    A: Item.of('industrialupgrade:crafting_elements/crafting_273_element', '{level:3}'),
    C: 'industrialupgrade:itemiucrafring/itemirradiantglasspane'
  }
)
event.shaped(
  Item.of('4x industrialupgrade:crafting_elements/crafting_366_element'),
  [
    'CB',
    'BA'
  ],
  {
    A: 'industrialupgrade:itemplates/tantalum',
    B: 'industrialupgrade:itemingots/platium_ingot',
    C: 'industrialupgrade:itemplates/lead_plate'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_439_element'),
  [
    'CBC',
    'BAB',
    'DDD'
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_21_element',
    B: 'industrialupgrade:itemdoubleplates/osmium',
    C: 'industrialupgrade:itemplates/bronze_plate',
    D: 'industrialupgrade:crafting_elements/crafting_0_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:upgrade_speed_creation'),
  [
    ' C ',
    ' A ',
    '   '
  ],
  {
    A: 'industrialupgrade:module_schedule',
    C: 'industrialupgrade:upgrades/overclockerupgrade1'
  }
)
event.shaped(
  Item.of('2x industrialupgrade:crafting_elements/crafting_299_element'),
  [
    'CCC',
    'CAC',
    'CCC'
  ],
  {
    A: 'industrialupgrade:helium_cooling_mixture',
    C: 'industrialupgrade:alloyplate/nichrome'
  }
)
event.shapeless(
  Item.of('industrialupgrade:wiring/glass'), // arg 1: output
  [
    'industrialupgrade:wiring/glass_1',
    'industrialupgrade:synthetic_rubber'
  ]
)
event.shaped(
  Item.of('4x industrialupgrade:earth_quarry/earth_casing'),
  [
    'C C',
    ' A ',
    'B B'
  ],
  {
    A: 'industrialupgrade:blockresource/machine',
    C: 'industrialupgrade:alloyplate/molybdenum_steel',
    B: 'industrialupgrade:alloyplate/stainless_steel'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_226_element'),
  [
    ' C ',
    'DAD',
    'BEB'
  ],
  {
    A: 'industrialupgrade:crafting_elements/crafting_21_element',
    C: 'industrialupgrade:crafting_elements/crafting_285_element',
    B: 'industrialupgrade:alloyplate/alumel',
    D: 'industrialupgrade:plastic_plate',
    E: 'industrialupgrade:crafting_elements/crafting_555_element'
  }
)
event.shaped(
  Item.of('2x industrialupgrade:chemical_plant/chemical_plant_casing'),
  [
    'DCD',
    'BAB',
    'DCD'
  ],
  {
    A: 'industrialupgrade:blockresource/machine',
    C: 'industrialupgrade:alloyplate/cobalt_chrome',
    B: 'industrialupgrade:alloyplate/niobium_titanium',
    D: 'industrialupgrade:synthetic_plate'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/gas_combiner'),
  [
    ' C ',
    'DAB',
    ' E '
  ],
  {
    A: 'industrialupgrade:blockresource/advanced_machine',
    C: 'industrialupgrade:gas_chamber/primal_gas_chamber',
    B: 'industrialupgrade:crafting_elements/crafting_263_element',
    D: 'industrialupgrade:crafting_elements/crafting_267_element',
    E: 'industrialupgrade:crafting_elements/crafting_276_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:crafting_elements/crafting_201_element'),
  [
    'CC',
    'AA'
  ],
  {
    A: 'industrialupgrade:itemplates/iron_plate',
    C: 'industrialupgrade:itemplates/titanium_plate'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/adv_solar_destiller'),
  [
    'CCC',
    'CAC',
    'CBC'
  ],
  {
    A: 'industrialupgrade:basemachine3/solardestiller',
    C: 'industrialupgrade:itemingots/electrium_ingot',
    B: 'industrialupgrade:gear/electrium'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/imp_solar_destiller'),
  [
    'CCC',
    'CAC',
    'CBC'
  ],
  {
    A: 'industrialupgrade:basemachine3/adv_solar_destiller',
    C: 'industrialupgrade:alloyingot/niobium_titanium',
    B: 'industrialupgrade:alloygear/niobium_titanium'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/per_solar_destiller'),
  [
    'CCC',
    'CAC',
    'CBC'
  ],
  {
    A: 'industrialupgrade:basemachine3/imp_solar_destiller',
    C: 'industrialupgrade:alloyingot/molybdenum_steel',
    B: 'industrialupgrade:alloygear/molybdenum_steel'
  }
)
event.shaped(
  Item.of('industrialupgrade:photonic_machine/photonic_destiller'),
  [
    'CCC',
    'CAC',
    'CBC'
  ],
  {
    A: 'industrialupgrade:basemachine3/per_solar_destiller',
    C: 'industrialupgrade:alloyingot/inconel',
    B: 'industrialupgrade:alloygear/inconel'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/substitute'),
  [
    ' C ',
    'CAC',
    'BCB'
  ],
  {
    A: 'industrialupgrade:blockresource/advanced_machine',
    C: 'industrialupgrade:wiring/copper1',
    B: 'industrialupgrade:crafting_elements/crafting_555_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/energy_controller'),
  [
    ' C ',
    'CAC',
    'BCB'
  ],
  {
    A: 'industrialupgrade:blockresource/advanced_machine',
    C: 'industrialupgrade:wiring/copper1',
    B: 'industrialupgrade:crafting_elements/crafting_549_element'
  }
)
event.shaped(
  Item.of('industrialupgrade:transformer_iu/lv'),
  [
    'CBC',
    'CAC',
    'CBC'
  ],
  {
    A: 'industrialupgrade:circuit/circuit_part3',
    C: '#minecraft:planks',
    B: 'industrialupgrade:wiring/tin1'
  }
)
event.shaped(
  Item.of('industrialupgrade:transformer_iu/mv'),
  [
    'CCC',
    'BAB',
    'CCC'
  ],
  {
    A: 'industrialupgrade:transformer_iu/lv',
    C: 'minecraft:iron_ingot',
    B: 'industrialupgrade:wiring/copper1'
  }
)
event.shaped(
  Item.of('industrialupgrade:basemachine3/recipe_tuner'),
  [
    ' C ',
    ' A ',
    '   '
  ],
  {
    A: 'industrialupgrade:blockresource/machine',
    C: 'industrialupgrade:recipe_schedule'
  }
)

})